<mat-tab-group mat-align-tabs="center" class="unselectable">
  <mat-tab label="Updater">
    <div class="console" #console></div>
    <button mat-raised-button class="update" (click)="onUpdate()">Update</button>
  </mat-tab>

  <mat-tab label="Users">
    <table mat-table [dataSource]="users" class="users">
      <ng-container matColumnDef="id">
        <th mat-header-cell *matHeaderCellDef>#Id</th>
        <td mat-cell *matCellDef="let user">{{user.id}}</td>
      </ng-container>

      <ng-container matColumnDef="name">
        <th mat-header-cell *matHeaderCellDef>Name</th>
        <td mat-cell *matCellDef="let user">{{user.firstName}} {{user.lastName}}</td>
      </ng-container>

      <ng-container matColumnDef="username">
        <th mat-header-cell *matHeaderCellDef>Username</th>
        <td mat-cell *matCellDef="let user">{{user.username}}</td>
      </ng-container>

      <ng-container matColumnDef="email">
        <th mat-header-cell *matHeaderCellDef>Email</th>
        <td mat-cell *matCellDef="let user">{{user.email}}</td>
      </ng-container>

      <ng-container matColumnDef="actions">
        <th mat-header-cell *matHeaderCellDef>Actions</th>
        <td mat-cell *matCellDef="let user">
          <button mat-mini-fab color="accent" (click)="editPermissions(user)"><mat-icon>manage_accounts</mat-icon></button>
          <button mat-mini-fab color="primary" (click)="editUser(user)"><mat-icon>edit</mat-icon></button>
          <button mat-mini-fab color="warn" (click)="deleteUser(user)"><mat-icon>delete</mat-icon></button>
        </td>
      </ng-container>

      <tr mat-header-row *matHeaderRowDef='["id", "name", "username", "email", "actions"]'></tr>
      <tr mat-row *matRowDef='let row; columns: ["id", "name", "username", "email", "actions"]'></tr>
    </table>
  </mat-tab>

  <mat-tab label="Third">Content 3</mat-tab>
</mat-tab-group>

<form class="option edit" #edit>
  <div class="row">
    <div class="col">
      <label for="firstname">First name</label>
      <input type="text" class="form-control" placeholder="{{current?.firstName}}" value="{{current?.firstName}}" id="firstname" #firstname>
    </div>
    <div class="col">
      <label for="lastname">Last name</label>
      <input type="text" class="form-control" placeholder="{{current?.lastName}}" value="{{current?.lastName}}" id="lastname" #lastname>
    </div>
  </div>
  <br>
  <div class="form-group">
    <label for="username">Username</label>
    <input type="text" class="form-control" id="username" placeholder="{{current?.username}}" value="{{current?.username}}" #username>
  </div>
  <br>
  <div class="form-group">
    <label for="email">Email address</label>
    <input type="email" class="form-control" id="email" aria-describedby="emailHelp" placeholder="{{current?.email}}" value="{{current?.email}}" #email>
  </div>
  <br>
  <div class="form-group">
    <label for="password">Password</label>
    <input type="password" class="form-control" id="password" placeholder="Password" #password>
  </div>
  <br>
  <div class="buttons">
    <button type="reset" mat-raised-button color="warn" (click)="cancelEdit($event)">Cancel</button>
    <button type="submit" mat-raised-button color="primary" (click)="onEdit($event)">Edit</button>
  </div>
</form>

<section class="option permissions unselectable" #permissions>
  <div class="row">
    <div class="col-9">
      <input type="text" class="form-control" placeholder="PermissionName" #currPermission>
    </div>
    <div class="col-3">
      <button mat-raised-button color="primary" (click)="addPermission()">Add Permission</button>
      <button mat-raised-button color="warn" (click)="cancelPermission()">Back</button>
    </div>
  </div>

  <br>

  <table class="table table-sm">
    <thead class="thead-dark">
    <tr>
      <th scope="col">Permission</th>
      <th scope="col">Actions</th>
    </tr>
    </thead>
    <tbody *ngFor="let permission of userPermissions" class="selectable">
    <tr>
      <td class="selectable">{{permission}}</td>
      <td>
        <button mat-button (click)="deletePermission(permission)" class="unselectable" color="warn">Delete</button>
      </td>
    </tr>
    </tbody>
  </table>
</section>
